---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libhs203t003.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51850, symBinAddr: 0xC210, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53790, symBinAddr: 0xE150, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53B80, symBinAddr: 0xE540, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54B20, symBinAddr: 0xF4E0, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54B30, symBinAddr: 0xF4F0, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x514D0, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x514D4, symBinAddr: 0xC0D4, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x514D8, symBinAddr: 0xC0D8, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51630, symBinAddr: 0xC0E0, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x516E8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x516EC, symBinAddr: 0xC19C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x516F0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x516F4, symBinAddr: 0xC1A4, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x516F8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x51700, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x51718, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x51720, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x51728, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51730, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51738, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL11redefineCnt, symObjAddr: 0x5177C, symBinAddr: 0xC1FC, symSize: 0x0 }
  - { offsetInCU: 0x90ED, offset: 0x90ED, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x51780, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x913F, offset: 0x913F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3000, symSize: 0x80 }
  - { offsetInCU: 0x91D4, offset: 0x91D4, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2F50, symSize: 0xB0 }
  - { offsetInCU: 0x922F, offset: 0x922F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2E50, symSize: 0x100 }
  - { offsetInCU: 0x94C2, offset: 0x94C2, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x3080, symSize: 0xC0 }
  - { offsetInCU: 0x9514, offset: 0x9514, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3140, symSize: 0x220 }
  - { offsetInCU: 0x96F9, offset: 0x96F9, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x3360, symSize: 0xA0 }
  - { offsetInCU: 0x97AC, offset: 0x97AC, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3400, symSize: 0x110 }
  - { offsetInCU: 0x98A2, offset: 0x98A2, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3510, symSize: 0x150 }
  - { offsetInCU: 0x99D3, offset: 0x99D3, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3660, symSize: 0x30 }
  - { offsetInCU: 0x9AC0, offset: 0x9AC0, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3690, symSize: 0x150 }
  - { offsetInCU: 0x9CB8, offset: 0x9CB8, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x37E0, symSize: 0x160 }
  - { offsetInCU: 0x9F78, offset: 0x9F78, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3940, symSize: 0x4A0 }
  - { offsetInCU: 0xA211, offset: 0xA211, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3DE0, symSize: 0x1B0 }
  - { offsetInCU: 0xA42C, offset: 0xA42C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3F90, symSize: 0xA0 }
  - { offsetInCU: 0xA553, offset: 0xA553, size: 0x8, addend: 0x0, symName: _nsk_jvmti_redefineClass, symObjAddr: 0x2C40, symBinAddr: 0x4030, symSize: 0x2D0 }
  - { offsetInCU: 0xA835, offset: 0xA835, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4300, symSize: 0x20 }
  - { offsetInCU: 0xA86C, offset: 0xA86C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4320, symSize: 0x20 }
  - { offsetInCU: 0xA8A3, offset: 0xA8A3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4340, symSize: 0x20 }
  - { offsetInCU: 0xAA52, offset: 0xAA52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4360, symSize: 0x1A0 }
  - { offsetInCU: 0xAD78, offset: 0xAD78, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4500, symSize: 0x80 }
  - { offsetInCU: 0xAE41, offset: 0xAE41, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4580, symSize: 0x6A0 }
  - { offsetInCU: 0xB9D6, offset: 0xB9D6, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA5B0, symBinAddr: 0x5CC0, symSize: 0xB0 }
  - { offsetInCU: 0xBA4D, offset: 0xBA4D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4C20, symSize: 0x70 }
  - { offsetInCU: 0xBB41, offset: 0xBB41, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4C90, symSize: 0xA0 }
  - { offsetInCU: 0xBC4C, offset: 0xBC4C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4D30, symSize: 0x40 }
  - { offsetInCU: 0xBD42, offset: 0xBD42, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4D70, symSize: 0x2B0 }
  - { offsetInCU: 0xC0E8, offset: 0xC0E8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5020, symSize: 0xC0 }
  - { offsetInCU: 0xC22E, offset: 0xC22E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x50E0, symSize: 0x10 }
  - { offsetInCU: 0xC2F0, offset: 0xC2F0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x50F0, symSize: 0x220 }
  - { offsetInCU: 0xC5ED, offset: 0xC5ED, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5310, symSize: 0x10 }
  - { offsetInCU: 0xC64A, offset: 0xC64A, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5320, symSize: 0x260 }
  - { offsetInCU: 0xC9EE, offset: 0xC9EE, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E70, symBinAddr: 0x5580, symSize: 0x10 }
  - { offsetInCU: 0xCAAF, offset: 0xCAAF, size: 0x8, addend: 0x0, symName: _callbackClassPrepare, symObjAddr: 0x9E80, symBinAddr: 0x5590, symSize: 0x1E0 }
  - { offsetInCU: 0xCD4A, offset: 0xCD4A, size: 0x8, addend: 0x0, symName: _callbackFieldAccess, symObjAddr: 0xA060, symBinAddr: 0x5770, symSize: 0x200 }
  - { offsetInCU: 0xCFA5, offset: 0xCFA5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS203_hs203t003_hs203t003_isSuspended, symObjAddr: 0xA260, symBinAddr: 0x5970, symSize: 0xC0 }
  - { offsetInCU: 0xD0E6, offset: 0xD0E6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS203_hs203t003_hs203t003_popThreadFrame, symObjAddr: 0xA320, symBinAddr: 0x5A30, symSize: 0x1D0 }
  - { offsetInCU: 0xD33A, offset: 0xD33A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS203_hs203t003_hs203t003_resumeThread, symObjAddr: 0xA4F0, symBinAddr: 0x5C00, symSize: 0xC0 }
  - { offsetInCU: 0xD44B, offset: 0xD44B, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA660, symBinAddr: 0x5D70, symSize: 0x36A }
...
